# Search on Perplexity Chrome Extension

A Chrome extension that allows you to highlight text on any webpage and search it directly on Perplexity.ai.

## Features

- Right-click context menu integration
- Instant search on Perplexity.ai
- Error handling for empty selections
- Support for special characters in search queries

## Installation

1. Clone this repository or download the files
2. Open Chrome and navigate to `chrome://extensions/`
3. Enable "Developer mode" in the top right
4. Click "Load unpacked" and select the extension directory

## Usage

1. Highlight any text on a webpage
2. Right-click the highlighted text
3. Select "Search on Perplexity" from the context menu
4. A new tab will open with your Perplexity search results

## Development

The extension is built using:
- Chrome Extension Manifest V3
- JavaScript
- Chrome Extension APIs (contextMenus, tabs, notifications)

## File Structure

```
├── manifest.json
├── background.js
├── icons/
│   ├── icon16.png
│   ├── icon48.png
│   └── icon128.png
└── README.md
```

## License

MIT License 